
Redmine - Defect #16269

Cannot create/edit user and after create project (Clean install redmine 2.5.0)

2014-03-07 13:48 - Evgenyt T

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.5.0

Description

When i try to create or edit user in logs i see this error

Create or edit user

ActionView::Template::Error (undefined method `name' for nil:NilClass):

8:      ) >

9: </p>

10: <= content_tag 'div', :id => 'notified-projects', :style => (@user.mail_notification == 'selected' ? '' : 'display:none;') do >

11:   <= render_project_nested_lists(@user.projects) do |project|

12:         content_tag('label',

13:           check_box_tag(

14:             'user[notified_project_ids][]',

app/helpers/application_helper.rb:258:in `render_project_nested_lists'

app/views/users/_mail_notifications.html.erb:11:in `block in app_views_users

_mail_notifications_html_erb__1432861849220235059_77293960'

app/views/users/_mail_notifications.html.erb:10:in

`_app_views_users__mail_notifications_html_erb__1432861849220235059_77293960'

app/views/my/account.html.erb:38:in `block in app_views_my_account_html_erb_831319395888243630_75167300'

app/helpers/application_helper.rb:1041:in `labelled_form_for'

app/views/my/account.html.erb:9:in `_app_views_my_account_html_erb__831319395888243630_75167300'

After creating project or view created project

ActionView::Template::Error (undefined method `name' for nil:NilClass):

33: <% end >

34:

35: <div class="contextual">

36: < if @project.versions.any? >

37:   <= link_to l(:label_close_versions), close_completed_project_versions_path(Herve Harster), :method => :put >

38: < end %>

39: </div>

app/views/projects/settings/_versions.html.erb:36:in

`_app_views_projects_settings__versions_html_erb__2649234823651506906_69378340'

app/views/common/_tabs.html.erb:22:in `block in app_views_common_tabs_html_erb___2836642143091689293_71560820'

app/views/common/_tabs.html.erb:21:in `each'

app/views/common/_tabs.html.erb:21:in `_app_views_common__tabs_html_erb___2836642143091689293_71560820'

app/helpers/application_helper.rb:318:in `render_tabs'

app/views/projects/settings.html.erb:3:in `_app_views_projects_settings_html_erb___1313679598545850120_71608080'

VPS info

ruby 2.2.0dev (2014-03-05 trunk 45273)

Rails 3.2.17

Postgres 9.3.3-1

Debian 7 wheezy

Related issues:

Related to Redmine - Feature #16194: Ruby 2.1 support Closed

History

#1 - 2014-03-11 08:42 - Evgenyt T

Problem in Ruby version.

On ruby 2.1.2p80 (2014-03-01 revision 45231) [x86_64-linux] all Ok.
#2 - 2014-03-11 10:11 - Toshi MARUYAMA

- Status changed from New to Closed

#3 - 2014-03-11 10:12 - Toshi MARUYAMA

- Related to Feature #16194: Ruby 2.1 support added
